Loading...
Searching...
No Matches
BALL::VIEW::PixelFormat Class Reference

`#include <BALL/VIEW/RENDERING/pixelFormat.h>`

## Public Types

enum | { MAX_NUMBER_OF_CHANNELS = 4 }
enum | { PLANAR_FRAMEBUFFER = 1<<1 }

## Public Member Functions

| PixelFormat ()
| PixelFormat (const ChannelFormat &c0, unsigned int flags=0)
| PixelFormat (const ChannelFormat &c0, const ChannelFormat &c1, unsigned int flags=0)
| PixelFormat (const ChannelFormat &c0, const ChannelFormat &c1, const ChannelFormat &c2, unsigned int flags=0)
| PixelFormat (const ChannelFormat &c0, const ChannelFormat &c1, const ChannelFormat &c2, const ChannelFormat &c3, unsigned int flags=0)
unsigned int | getNumChannels () const
const ChannelFormat & | getChannel (unsigned int i) const
ChannelFormat & | getChannel (unsigned int i)
const ChannelFormat & | operator[] (unsigned int i) const
ChannelFormat & | operator[] (unsigned int i)
unsigned int | getFlags () const
void | setFlags (unsigned int f)
unsigned int | computeBitSize () const
unsigned int | computeByteSize () const
PixelFormat & | operator= (const PixelFormat &f)
bool | operator== (const PixelFormat &f) const
bool | operator!= (const PixelFormat &f) const
void | print (std::ostream &o) const

## Static Public Attributes

static const PixelFormat | RGB_24
static const PixelFormat | BGR_24
static const PixelFormat | RGB_32
static const PixelFormat | RGBA_32
static const PixelFormat | BGR_32
static const PixelFormat | BGRA_32
static const PixelFormat | RGB_3_2_2
static const PixelFormat | RGBF_96

## Detailed Description

Definition at line 61 of file pixelFormat.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
PLANAR_FRAMEBUFFER |

Definition at line 67 of file pixelFormat.h.

## anonymous enum

anonymous enum

Enumerator
MAX_NUMBER_OF_CHANNELS |

Definition at line 64 of file pixelFormat.h.

## Constructor & Destructor Documentation

## PixelFormat() [1/5]

BALL::VIEW::PixelFormat::PixelFormat | ( |  | ) |

inline

Definition at line 73 of file pixelFormat.h.

## PixelFormat() [2/5]

BALL::VIEW::PixelFormat::PixelFormat | ( | const ChannelFormat & | c0,
|  | unsigned int | flags = 0 )

inline

Definition at line 81 of file pixelFormat.h.

## PixelFormat() [3/5]

BALL::VIEW::PixelFormat::PixelFormat | ( | const ChannelFormat & | c0,
|  | const ChannelFormat & | c1,
|  | unsigned int | flags = 0 )

inline

Definition at line 88 of file pixelFormat.h.

## PixelFormat() [4/5]

BALL::VIEW::PixelFormat::PixelFormat | ( | const ChannelFormat & | c0,
|  | const ChannelFormat & | c1,
|  | const ChannelFormat & | c2,
|  | unsigned int | flags = 0 )

inline

Definition at line 97 of file pixelFormat.h.

## PixelFormat() [5/5]

BALL::VIEW::PixelFormat::PixelFormat | ( | const ChannelFormat & | c0,
|  | const ChannelFormat & | c1,
|  | const ChannelFormat & | c2,
|  | const ChannelFormat & | c3,
|  | unsigned int | flags = 0 )

inline

Definition at line 108 of file pixelFormat.h.

## Member Function Documentation

## computeBitSize()

unsigned int BALL::VIEW::PixelFormat::computeBitSize | ( |  | ) | const

inline

Definition at line 149 of file pixelFormat.h.

## computeByteSize()

unsigned int BALL::VIEW::PixelFormat::computeByteSize | ( |  | ) | const

inline

Definition at line 157 of file pixelFormat.h.

## getChannel() [1/2]

ChannelFormat & BALL::VIEW::PixelFormat::getChannel | ( | unsigned int | i | ) |

inline

Definition at line 130 of file pixelFormat.h.

## getChannel() [2/2]

const ChannelFormat & BALL::VIEW::PixelFormat::getChannel | ( | unsigned int | i | ) | const

inline

Definition at line 125 of file pixelFormat.h.

## getFlags()

unsigned int BALL::VIEW::PixelFormat::getFlags | ( |  | ) | const

inline

Definition at line 145 of file pixelFormat.h.

## getNumChannels()

unsigned int BALL::VIEW::PixelFormat::getNumChannels | ( |  | ) | const

inline

Definition at line 123 of file pixelFormat.h.

## operator!=()

bool BALL::VIEW::PixelFormat::operator!= | ( | const PixelFormat & | f | ) | const

inline

Definition at line 183 of file pixelFormat.h.

## operator=()

PixelFormat & BALL::VIEW::PixelFormat::operator= | ( | const PixelFormat & | f | ) |

inline

Definition at line 162 of file pixelFormat.h.

## operator==()

bool BALL::VIEW::PixelFormat::operator== | ( | const PixelFormat & | f | ) | const

inline

Definition at line 172 of file pixelFormat.h.

## operator[]() [1/2]

ChannelFormat & BALL::VIEW::PixelFormat::operator[] | ( | unsigned int | i | ) |

inline

Definition at line 140 of file pixelFormat.h.

## operator[]() [2/2]

const ChannelFormat & BALL::VIEW::PixelFormat::operator[] | ( | unsigned int | i | ) | const

inline

Definition at line 135 of file pixelFormat.h.

## print()

void BALL::VIEW::PixelFormat::print | ( | std::ostream & | o | ) | const

## setFlags()

void BALL::VIEW::PixelFormat::setFlags | ( | unsigned int | f | ) |

inline

Definition at line 147 of file pixelFormat.h.

## Member Data Documentation

## BGR_24

const PixelFormat BALL::VIEW::PixelFormat::BGR_24

static

Definition at line 190 of file pixelFormat.h.

## BGR_32

const PixelFormat BALL::VIEW::PixelFormat::BGR_32

static

Definition at line 194 of file pixelFormat.h.

## BGRA_32

const PixelFormat BALL::VIEW::PixelFormat::BGRA_32

static

Definition at line 195 of file pixelFormat.h.

## RGB_24

const PixelFormat BALL::VIEW::PixelFormat::RGB_24

static

Definition at line 189 of file pixelFormat.h.

## RGB_32

const PixelFormat BALL::VIEW::PixelFormat::RGB_32

static

Definition at line 192 of file pixelFormat.h.

## RGB_3_2_2

const PixelFormat BALL::VIEW::PixelFormat::RGB_3_2_2

static

Definition at line 198 of file pixelFormat.h.

## RGBA_32

const PixelFormat BALL::VIEW::PixelFormat::RGBA_32

static

Definition at line 193 of file pixelFormat.h.

## RGBF_96

const PixelFormat BALL::VIEW::PixelFormat::RGBF_96

static

Definition at line 201 of file pixelFormat.h.